Visibility Pro
All operations require authentication, except the 4 marked Public.
List local SEO directoriesProductionPublic
List local SEO directories. Returns the search engines, navigation systems and social networks covered by a local SEO offer in a country.
Query parameters
Country of the location
FRLocal SEO offer
normalResponse
Navigation systems
Search engines
Social networks
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ localSeo/ directoriesList{ "navigationSystems": [ { "code": "string", "displayName": "string" } ], "searchEngines": [ { "code": "string", "displayName": "string" } ], "socialNetworks": [ { "code": "string", "displayName": "string" } ]}
Check local SEO email availabilityProductionPublic
Check local SEO email availability. Returns whether an email address can be used for a local SEO order, and the hosting already using it.
Query parameters
The email address to check
Response
Availability of the email address
availablemergenictakenHosting on which the email address is used
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ localSeo/ emailAvailability{ "availability": "available", "serviceName": "string"}
Get visibility check resultsProductionPublic
Get visibility check results. Returns the listings found for the location in each directory, with the sync status of each field.
Query parameters
Get the result only for one directory
Id of the check
Token received when requesting the check
Response
City of the location
City of the location (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTCountry of the location
Country of the location (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe date and time the listing was created in database
The directory where this listing appears
A contact email for the location
A contact email for the location (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe status of the current listing
ALL_INFORMATION_SUBMITTEDDONT_REMOVEINACTIVEMANUALLY_DEACTIVATEDNEEDS_REVIEWNOT_SUPPORTEDNO_ACTION_NEEDEDREMOVAL_NEEDEDREMOVAL_REVIEW_NEEDEDREMOVAL_SUBMITTEDREMOVEDSUBMISSION_NEEDEDWAITING_DIRECTORY_ACTIONWAITING_USER_ACTIONThe listing id in the directory database
The listing url on the directory website
The location's name used for this listing
The location's name used for this listing (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe location's contact phone number
The location's contact phone number (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTProvince of the location
Province of the location (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe location's street address
A localized combination of street and streetNo
A localized combination of street and streetNo (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe location's street number
The location's street number (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe location's street address (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe street type for Spain
The street type for Spain (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTThe sync status of the listing
IN_SYNCNOT_FOUNDNOT_IN_SYNCNOT_SUPPORTEDNO_ONLINE_LISTINGTECHNICAL_PROBLEMSA valid url for the location's website
A valid url for the location's website (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTZipcode of the location
Zipcode of the location (sync status)
MATCHMISMATCHMISSINGNOT_APPLICABLEPRESENTPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ localSeo/ visibilityCheckResult[ { "city": "string", "cityStatus": "MATCH", "country": "string", "countryStatus": "MATCH", "dateCreated": "2024-01-01T12:00:00Z", "directoryType": "string", "email": "string", "emailStatus": "MATCH", "flowStatus": "ALL_INFORMATION_SUBMITTED", "listingId": "string", "listingUrl": "string", "name": "string", "nameStatus": "MATCH", "phone": "string", "phoneStatus": "MATCH", "province": "string", "provinceStatus": "MATCH", "street": "string", "streetAndNo": "string", "streetAndNoStatus": "MATCH", "streetNo": "string", "streetNoStatus": "MATCH", "streetStatus": "MATCH", "streetType": "string", "streetTypeStatus": "MATCH", "syncStatus": "IN_SYNC", "website": "string", "websiteStatus": "MATCH", "zip": "string", "zipStatus": "MATCH" }]
List local SEO accountsProduction
List local SEO accounts. Returns the IDs of the local SEO accounts of the hosting. Filter them by email.
Path parameters
The internal name of your hosting
Query parameters
Filter the value of email property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ account \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a local SEO accountProduction
Get a local SEO account. Returns the email address, status, creation date and last update date of the local SEO account, and its running task.
Path parameters
Account id
The internal name of your hosting
Response
Date of creation of the account
Email address associated to the account
Account id
Date of the last account's update
Current status of the account
createdcreatingdeletingupdatingRunning task associated to the account
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ account/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "email": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "created", "taskId": 0}
Check local SEO email availabilityProduction
Check local SEO email availability. Returns whether an email address can be used for a local SEO order, and the hosting already using it.
Path parameters
The internal name of your hosting
Query parameters
The email address to check
Response
Availability of the email address
availablemergenictakenHosting on which the email address is used
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ emailAvailability \
-H "authorization: Bearer $OVH_TOKEN"{ "availability": "available", "serviceName": "string"}
List local SEO locationsProduction
List local SEO locations. Returns the IDs of the local SEO locations of the hosting. Each location is a business listed in online directories.
Path parameters
The internal name of your hosting
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ location \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a local SEO locationProduction
Get a local SEO location. Returns the name, address, country, offer and status of the location, with its creation and last update dates.
Path parameters
Location id
The internal name of your hosting
Response
Account id
Address of the location
Country of the location
FRDate of the installation of the location
Location id
Date of the last location's update
Name of the location
Local SEO offer for this location
normalCurrent status of the location
createdcreatingdeletingupdatingRunning task associated to the location
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ location/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "accountId": 0, "address": "string", "country": "FR", "creationDate": "2024-01-01T12:00:00Z", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "offer": "normal", "status": "created", "taskId": 0}
Get location service informationProduction
Get location service information. Returns the billing information of the location: creation and expiration dates, renewal settings and contacts.
Path parameters
Location id
The internal name of your hosting
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ location/ {id}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Check location visibilityProductionPublic
Check location visibility. Starts a visibility check for a location from its name, street, zip code and country. Returns whether the location is already managed.
Request body (required)
Country of the location
FRName of the location
Address line 1 of the location
Zipcode of the location
Response
Is the searched location already managed ?
Searched location data
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ localSeo/ visibilityCheck{ "alreadyManaged": true, "searchData": { "city": "string", "country": "string", "id": 0, "name": "string", "province": "string", "street": "string", "streetNo": "string", "token": "string", "zip": "string" }}
Log in to a local SEO accountProduction
Log in to a local SEO account. Returns a single sign-on URL, with an authentication token, to log in to the local SEO account.
Path parameters
Account id
The internal name of your hosting
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ account/ {id}/ login \
-H "authorization: Bearer $OVH_TOKEN""string"
Update location renewalProduction
Update location renewal. Updates the renewal settings of the location: automatic renewal, renewal period and deletion at expiration.
Path parameters
Location id
The internal name of your hosting
Request body (required)
Renew type
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ location/ {id}/ serviceInfosUpdate \
-H "authorization: Bearer $OVH_TOKEN"Terminate a local SEO locationProduction
Terminate a local SEO location. Requests the termination of the location. A link to confirm it is sent by email to the administrator contact.
Path parameters
Location id
The internal name of your hosting
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ localSeo/ location/ {id}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"